Introduction

About XNote Stopwatch

XNote Stopwatch is a versatile and flexible multifunctional digital stopwatch/countdown timer software to measure time intervals in decimal seconds, seconds, minutes and hours. The key features are:

  • Digital display like real stopwatches and clocks. But unlike real ones XNote Stopwatch can be resized to achieve any dimensions of digits: from full-screen on a LCD panel for public presentations to tiny knob on your desktop as a reminder. Along with size you can tune up colors, font, transparency.
  • Customization of displayed time. You can eliminate hours, minutes, decimals, pad leading values with zeroes, customize decimals to represent 10, 100 or 1000 of second, 24, 25, 60 TV frames and so on. These changes are lossless and can be carried out at any moment.
  • Stopwatch mode and countdown timer mode. When the timer expires it can sound a warning signal, play an audio file, run an application and even command external device!
  • Ability to snap the time at any moment (split time feature). A gap from a previous recorded time and percentage weights are calculated (lap time feature). You may add a comment to each noted time. Finally, the whole list of results can be copied through the clipboard for further processing. Also you are able to insert the times right into MS Excel spreadsheet!
  • Save and load a time counting session including all recorded results. This feature is very useful when you timing in several stages.
  • Ability to set a custom time. This means that you can rewind the stopwatch/timer back or forward. All misplaced results are deleted.
  • System-wide user-redefinable hotkeys. You can start, stop, reset the stopwatch/timer and snap the time from within any application even if the XNote Stopwatch window is not visible at the moment.
  • External control through serial COM (RS-232) port. You can start, stop, reset the stopwatch/timer and snap the time with a simple on/off switch, photocell and even RFID-tag reader!
  • Multiple stopwatches/timers with their own settings and run independently of each other.

Despite the variety of features, XNote Stopwatch has small size, low system resource requirements, and fast execution speed!


System Requirements

XNote Stopwatch requires Windows 2000/XP/Vista. There are no special requirements for processor performance and memory capacity. Special hardware is not required either but optionally you may need a PC's native COM port / USB to COM adapter along with control device in order to organize the external control.


What's new

Version 1.60
  • Added: MS Excel integration.
  • Added: Minimizing to system tray.
  • Added: Clock mode.
  • Changed: Hotkeys subsystem.
Version 1.50
  • Added: Customizable time formats.
  • Added: Multiple stopwatches/timers support.
  • Added: Command line support.
  • Added: Contact bounce elimination of the external serial COM port control.
  • Added: Raising a signal on serial COM port as a timer alarm.
  • Added: Ability to play MP3 and other audio files as a timer alarm.
  • Added: Display transparency foolproof.
  • Fixed: Moving by any part of window under Vista.
  • Fixed: Color of border in Compact state.
  • Fixed: Better multimonitor configurations support.
  • Deleted: Windows 95/98/ME/NT support.
Version 1.40
  • Added: External control through serial COM port.
Version 1.39
  • Added: Ability to change the digits font.
  • Added: Display transparency.
  • Added: Display refresh rate.
  • Added: Ability to save the Results list to a text file.
  • Added: Countdown options: "Start in stopwatch mode" and "Restart" (formerly "Periodic").
  • Fixed: Other minor bugfixes and improvements.
Version 1.38
  • Added: Ability to set a periodic timer.
  • Added: Ability to change the colors of background and digits.
  • Added: "PC Time" column in the Results list.
Version 1.37
  • Added: Ability to hide any column in the Results window and Clipboard.
  • Added: Compatibility with national standards of time and decimal representation to improve interaction with MS Excel and other applications.
Version 1.36
  • Fixed: Overflow if time is more than 5-6 hours.
Version 1.35
  • Fixed: Occasional PC Speaker failure.
Version 1.34
  • Added: Alarm events when the timer expires: PC Speaker beep, playing a .wav file, executing an external application, etc.
Version 1.33
  • Added: Countdown timer mode.
  • Fixed: Small fixes and improvements.
Version 1.32
  • Added: Ability to customize decimal seconds formats.
Version 1.31
  • Added: "Comment" column in the Results list.
  • Added: Results window is resizable now.


Installation

Installing XNote Stopwatch

Follow the steps below to install XNote Stopwatch on your computer:

  • Download the installation package on you machine. You can choose either the zipped version or the .EXE installer.
  • If you downloaded the zipped file, unzip it to a temporary directory.
  • Run the xnswXXX_setup.exe file (XXX stands for the current version of the software).
  • Follow the on-screen instructions.

After the installation is over, either go to Start => Programs => XNote Stopwatch or click a desktop shortcut to run the application.


Uninstall

Uninstalling XNote Stopwatch

Follow the steps below to remove XNote Stopwatch from your computer:

  • Select Settings => Control Panel from the Windows Start menu.
  • Double-click Add/Remove Programs.
  • Find XNote Stopwatch in the list of programs and click Remove.
  • Follow the on-screen instructions.

Notice: Names of menus and menu items may vary in different versions of Windows.


Tour of the Program Interface

Below is a screen capture of XNote Stopwatch main window in the stopwatch mode (initial state). In the countdown timer mode this window looks basically the same, but the initial time is not equal to zero.

You can resize this window just like any other application window by placing the mouse pointer at its corner and dragging it in the desired direction. You can make it as large as you wish, which may be convenient when you need to view the timer while staying far from your computer. As opposite, you can assign the smallest possible size (called Compact state) double-clicking the window or enabling appropriate menu item (see below). Marking this hides all controls (you can use keyboard shortcuts or popup menu to control XNote Stopwatch in this state), decreases the size of the main window (but it is resizable anyway) and places it on top of all other windows. In both states you can drag the window by any its part, not just by a caption.

Clicking the Start button starts or continues the count-up or the count-down. The window appearance will change: the Start button will change into Stop and the Snap and Reset buttons will be activated. Clicking the Stop button stops the time count.

When you click the Snap button the current time is stored into memory and the time count continues. You can repeat this operation as many times as you need — XNote Stopwatch can store the unlimited number of results and you can later view and export them all by choosing the More… => Show Results window command (see the Results Window section for details).

Clicking the Reset button resets the stopwatch/timer to its initial state and clears all previously stored results.

You can assign custom keyboard shortcuts to all these commands in the Hotkeys dialog.

The More… menu contains all XNote Stopwatch commands and settings. This menu is also accessible with a right-click or keyboard shortcut.

Stopwatch / Timer… — switches between the stopwatch and the countdown timer mode.

Compact — enables the special window state without caption and buttons.

Always on top — allows to stay above of all other windows.

Show Results window — brings up the Results window with recorded results.

Excel integration… — allows you to point out a MS Excel spreadsheet to spilt the times to.

File — saves the current state to a file or loads the previously saved state.

Set custom time… — use this command to specify the time to continue the count from.

Time format… — brings up the Time format dialog used to customize displayed time.

Title… — allows you to modify a title of the window.

Font — you can choose any system installed font instead of built-in liquid-crystal.

Colors — pick up colors for background and digits.

Transparency… — lets the main window be translucent to uncover subjacent windows.

Refresh rate… — some legacy computers having not enough processor speed redraw the running time slowing down other applications. This feature allows to reduce XNote Stopwatch display refresh frequency without impacting on real accuracy of stopwatch.

Hotkeys… — brings up the Hotkeys dialog in which you can assign custom keyboard and mouse shortcuts to the basic XNote Stopwatch commands (Start/Stop, Snap, Reset, Menu).

External control… — setup a manipulation of XNote Stopwatch by external devices.

Close — closes the instance of application. This menu item is offered only if there are multiple instances of application.

Exit — exit the application. All the instances are closed but they and their settings are remembered and will be brought back at the next application startup.


Countdown options

When you switch to the countdown timer mode, the Countdown options dialog is displayed.

In this window you can set the time to count down (similar to Set custom time) and the events that will occur when the time reaches zero. The possible options are as follows:

PC speaker beep — when the countdown reaches zero, the program will beep using the PC speaker. Modify the values in the Frequency and Duration fields to change the tone and duration of the sound.

Play an audio file — mark this checkbox and use the Browse… button to locate and select a .mp3, .wav, .mid or any other audio file to be played when the countdown reaches zero. Loop option is used to play repeatedly and very useful for small sound samples. There are several audio files being distributed in installation package and placed in the application's program folder. You may use them if it is difficult for you to locate anothers. Also here are lots: http://www.freesound.org, http://www.soundsnap.com

Launch a file — lauching a file is equivalent to double-clicking it in the Windows Explorer, so you can specify in this field not only the executable files, but files of any format recognized by Windows.

Raise a signal — allows you to control an external device by changing the voltage on two serial COM port lines when the timer expires. According to RS-232 standard voltage is changed to -5..-25 volts but take into account a cable attenuation.

You can use any combination of the above options. Test button allows to emulate a timer expiration.

Close the program — mark this checkbox to quit the program when the countdown reaches zero.

Restart — resets the timer and starts it again.

Start in Stopwatch mode — switches to Stopwatch mode and starts at once.


Results window

The Results window displays all stored results.

It contains the following information:

N — this column displays the result number.

Time — recorded time (split time).

% — the recorded time/last time ratio (in percent).

Gap — the difference between the recorded and the previous time (lap time).

% — the gap/total time ratio for the recorded time (in percent).

PC time — the local date and time when snap occured.

Comment — your notes (left-click the desired cell or press Insert and type your notes there).

You can easily hide the columns you don't need by dragging their right border towards left until the column collapses.

Clicking the Copy to Clipboard button places all data on the Windows clipboard. Hidden columns will be not copied.

Save as Text file is almost the same but stores all data to a file you desire.

Attention! The Copy to Clipboard and Save as Text file functions serve solely for exporting data to another application for further processing. If you want to save a current timing session and restore it later, use the Save/Load feature.

Notice: If you want to process the data collected by XNote Stopwatch in MS Excel, be sure to change the cells format to [hh]:mm:ss,00 for better handling of the time data. However we recommend to use Excel integration.


Excel integration

This feature allows you to Snap the times right into a MS Excel spreadsheet. It is much more comfortable than copying from the Results Window.

There are two ways to do it. Using spreadsheet and start cell below option your spreadsheet must be already opened. Select it from the Spreadsheet list and type-in a start cell into the Cell field. Both A1 and R1C1 styles are allowed. Naming is case insensitive. The next cell will be calculated as stated in the Excel option .
To disable integration just deselect the spreadsheet in list.

Option cursor allows you to Snap to currently active cell. Of course it is possible with the Hotkeys only. Then the cursor will be moved as stated in the Excel option .

Time values can be inserted in two forms. Excel's internal value stores the times in the form suitable for calculations. Tune cell's format assign most appropriate format to a cell.
To insert just to display you might choose text value.


Save/Load Dialog

Save/Load

You can save the current timing session to a file by choosing the More… => File => Save command. It saves the current time, all stored results and the current stopwatch/timer state (stopped, snapped, etc.). To load the previously saved session choose More… => File => Load. This feature can be used when you need several stages for timing some event. The default extensions of XNote Stopwatch session files are .xnsw or .xns

Instead of launching new instance and using Load you can double-click the file in the Windows Explorer or specify the command line option.

Attention! Save feature stores data in internal binary format. This data can't be used by other applications. To export results use functions of the Results Window.


Set custom time

Use this dialog to set up the time to continue the count from. You can specify the required time in hours, minutes, seconds and decimals depending on the time format by editing/clicking the corresponding edit/spin controls.

You can use this dialog when you need to roll back or to fast forward. All results that occurred past the specified time will be deleted.


Time format

Using this dialog you can bring the displayed time to a form most appropriate to your use of XNote Stopwatch.
For example if you timing a soccer match you would like to eliminate hours and decimals by unchecking corresponding marks. Since hours are out of deal minutes will be counted up over 59. For more attractive view you may assing two or three leading zeroes by clicking the spin or editing the field at the left of dialog.
As opposite if you are an animator you are most likely interested in seconds and decimals only. Moreover due to your professional specific decimals should represent frames instead of traditional 0.1, 0.01 or 0.001 of second. This can be down editing the field or selecting predefined values from drop-down list at the right of dialog.

Since these changes extend or shorten the time string the window will be stretched or narrowed (the left edge) accordingly to accomodate new time string and retain current dimension of digits. The window width will be changed even while the time running and overflows unless you assign enough leading zeroes; reseting the time or rolling back with Set custom time returns the window width, of course.

Rounding helps you handle remainders. Most likely you want to truncate eliminated rightmost values but in some cases you need to consider, for example, a partial frame as a completed frame. Appropriate radio buttons gain you total freedom to resolve any situation.

Notice: All these changes are lossless. I.e. if you get rid off decimals but enable them right away you will see prevouis value. The same applies to decimals repesentation conversions and rounding too.


Title

This dialog is designed to modify the title of the main window. Different titles are very suitable for multiple timers to distinguish them. Also consider identification by Font and Colors.

There are two alternatives:

  • Current file name. Once you used the Save/Load feature or appropriate command line option the name of the file you specified will be assigned to the title. Reset action clears the title.
  • Custom. You may type in any text you wish.
In Compact state the title (if any) is displayed as a tooltip once you rest a mouse pointer over the window.


Setup hotkeys

Hotkeys

Use the Hotkeys dialog to specify custom hotkeys for the main XNote Stopwatch commands.

To specify a hotkey, left-click within the corresponding field, press the desired combination on the keyboard

Unchecking Prevent keypresses from reaching applications allows you to work with currently active application, your game for example, inconspicuously.

Also you might assign the mouse buttons to stopwatch actions, which is more conveniently than keyboard. Prevent clicks from reaching applications is working in the same way.


External control

This is the finest feature of XNote Stopwatch. Using it you can attach an external sensor in order to improve accuracy, reliability and convenience of your measurements. The control device must conform to simple on/off switch interface. The configuration window provides the scheme how to connect:

Port — select the port you connect to. Currently only serial COM ports are allowed.

Line — assign the pair of contacts to the basic XNote Stopwatch commands (Start/Stop, Snap).

State — specify how to treat changes of line state. There are different options to adapt to: push button (Off -> On (normally open) and reverse one) / pulse signal, toggle switch (Off -> On / On -> Off (normally open) and reverse one) / set signal.

Skip contact bounce — if you are using a mechanical switch you are most likely suffering from contact bounce. Besides variety of solutions XNote Stopwatch has the build-in one which just pauses a "listening" for several milliseconds. If you need not the contact de-bouncing then set the field to 0.

Enable — Turn on or off the external control at all.


Command line

Command line options in general intended to customize and automate applications behaviour. XNote Stopwatch also has a few ones:

xnsw.exe [start] [/c=<config file>] [/f=<session file>]

start — automatically starts the stopwatch/timer at launch.

/c — assign a config file. If the specified file does not exist, default settings are applied and the file is created at exit.

/f — load a session file.

Unless you specify full path to these files the current directory is used.

Examples:

xnsw.exe start /c=eggtimer.ini
Launches XNote Stopwatch with egg timer settings you have customized earlier and automatically starts the timer.

xnsw.exe /f="My Cartoon.xnsw"
Launches XNote Stopwatch with the session file My Cartoon.xnsw where you store timing of scenes of your cartoon. This is similar to double-clicking the My Cartoon.xnsw in the Windows Explorer.


Licensing

XNote Stopwatch is the "try-before-you-buy" software. You may, free of charge, use and evaluate it without any time limit. However, if XNote Stopwatch fits your needs and you wish to use it without the nag-screen and other limitations of the free evaluation version, you must register the software. Registered users also receive free lifetime technical support and free upgrades to all future versions of the program.

License cost starts at $24.00 USD. You can purchase online using a credit card or with a variety of other methods, including telephone order, purchase order, wire transfer etc. Detailed information on the payment procedure can be found at http://www.xnotestopwatch.com/reg.html

Notice: Before you register, please make sure your version of XNote Stopwatch is not outdated because a license key you will obtain applies to the freshest release only available at http://www.XNoteStopwatch.com


Feedback

If you have problems using XNote Stopwatch or have found a bug, please write us at support@xnotestopwatch.com or at http://www.xnotestopwatch.com/contact.html

On-line community: http://www.xnotestopwatch.com/forum/

New versions and updates can be found at http://www.XNoteStopwatch.com